# SPRINT: Parallel computing with R on HPC Wales
# 13-May-14
# Exercise 2: pRP()

library(RankProd)
# The CLL package contains the chronic lymphocytic leukemia (CLL) gene 
# expression data
library(CLL)

#==============================================================================
#                        Load Data
#==============================================================================

# The sCLLex ExpressionSet object has 12,625 genes and 22 samples that were
# either classified as progressive or stable. 
data(sCLLex)
data <- exprs(sCLLex)
cl <- phenoData(sCLLex)$Disease

# Convert factors into integers progres. -> 0 stable -> 1
classes <- unclass(cl)-1

#==============================================================================
#                        SPRINT 
#==============================================================================
#library(sprint)

stime <- proc.time()["elapsed"]
# Perform rank product method
rp <- RP(data, cl=classes, num.perm=50, logged=FALSE)

etime <- proc.time()["elapsed"]
print(paste("rank product execution time: ")); print(paste(etime-stime))

# do further analysis of data then exit MPI
# ...

# Shutdown the SPRINT library
#pterminate()

quit(save="no")
